# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75.0"
name = "cdk-lnd"
version = "0.10.0"
authors = ["CDK Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CDK ln backend for lnd"
homepage = "https://github.com/cashubtc/cdk"
readme = "README.md"
license = "MIT"
repository = "https://github.com/cashubtc/cdk.git"

[lib]
name = "cdk_lnd"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.async-trait]
version = "0.1"

[dependencies.cdk-common]
version = "=0.10.0"
features = ["mint"]
default-features = false

[dependencies.fedimint-tonic-lnd]
version = "0.2.0"

[dependencies.futures]
version = "0.3.28"
features = ["async-await"]
default-features = false

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "rt",
    "macros",
    "test-util",
]
default-features = false

[dependencies.tokio-util]
version = "0.7.11"
default-features = false

[dependencies.tracing]
version = "0.1"
features = [
    "attributes",
    "log",
]
default-features = false
